using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
	public  interface IEmployeeProductLogic
	{
		EmployeeProductViewModel Create(ProductBindingModel model);

		EmployeeProductViewModel Update(ProductBindingModel model);

		EmployeeProductViewModel ReadElement(ProductSearchModel model);

		IEnumerable<EmployeeProductViewModel> ReadElements(ProductSearchModel? model);

		EmployeeProductViewModel Delete(ProductSearchModel model);
	}
}
